
From: Hal Duston <hduston@speedscript.com>

This fixes a bug that appears to have crept in between 2.5.69-mm1 and
2.5.69-mm2 with the "switch most remaining drivers over to devfs_mk_bdev"
patch



 sound/core/info.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/core/info.c~sound-strncmp-fix sound/core/info.c
--- 25/sound/core/info.c~sound-strncmp-fix	2003-05-13 12:40:14.000000000 -0700
+++ 25-akpm/sound/core/info.c	2003-05-13 12:40:14.000000000 -0700
@@ -1080,7 +1080,7 @@ snd_info_entry_t *snd_info_create_device
 	entry->p = p;
 	up(&info_mutex);
 
-	if (strncmp(name, "controlC", 8) == 0)	/* created in sound.c */
+	if (strncmp(name, "controlC", 8) != 0)	/* created in sound.c */
 		devfs_mk_cdev(MKDEV(_major, minor), mode, "snd/%s", name);
 	return entry;
 }

_
